MP42AVI(1)

NAME

MP42AVI - MPEG-4 BIFS to Video converter

SYNOPSIS

MP42AVI [options] file

DESCRIPTION

MP42AVI is a tool to convert a pure MPEG-4 BIFS presentation (no audio, no image, no video) to an uncompressed sequence of images or an uncompressed RGB avi file.

OPTIONS

-fps Framerate
    specifies extraction framerate. If not set the framerate is computed from the BIFS track duration.

-size WxH
    forces BIFS scene size to the given resolution

-raw [frame]
    uses raw format for output. If frame is specified, only the given frame is dumped. Otherwise, all samples are dumped into raw files.

-bmp [frame]
    uses BMP format for output. If frame is specified, only the given frame is dumped. Otherwise, all samples are dumped into BMP files.

-outpath path
    specifies output directory to dump frames/movie.

-cfg
    specifies path to GPAC config file.

-v  prints build version.

-h  prints this message

SPECIAL CONSIDERATIONS

Frame Dumping
    When dumping a frame, either the frame number (sample number) can be specified or the frame time in the format hh:mm:ss:xFz where hh, mm, ss are hours, minutes, seconds, x the number of the frame in the seconds and z the frame rate used to express the time

Input Files
    The current version of MP42AVI is only designed to handle pure BIFS presentation. If the input BIFS scene uses audio or visual media, these are ignored during the dump. It may even crash MP42AVI.

GPAC Config File
    MP42AVI needs the GPAC configuration file in order to locate the different plugins used for rasterization. You must therefore have launched successfully MP4Client before trying to use MP42AVI

FILES

GPAC Configuration File: ~/.gpacrc

AUTHORS

Jean Le Feuvre <jeanlf@users.sourceforge.net> - GPAC (c) 2000-2005

SEE ALSO

MP4Client(1), MP4Box(1), GPAC(1)